import got from 'got'

import RequestHandler from './../../src/runner/requests/requestHandler.js'

/**
 *
 *
 *  @author Björn Hase <me@herr-hase.wtf>
 *
 */

class JsonHandler extends RequestHandler {

    /**
     *  getting rss feed from url
     *
     *
     */
    async send() {
        const json = await got(this.config.url, {}).json()
        this.processActions(json)
    }
}

export default JsonHandler
