import pino from 'pino'
import pretty from 'pino-pretty'
import dayjs from 'dayjs'

export default pino({
        timestamp: () => {
            return `, "time":"${new Date(Date.now()).toISOString()}"`
        },
    },
    pino.destination('./storage/logs/' + dayjs().format('DD-MM-YYYY') + '.log')
)
